kind: Kustomization
apiVersion: kustomize.config.k8s.io/v1beta1

resources:
  - ../../base
  - route.yaml
  - hpa.yaml

images:
  - name: registry.gitlab.com/arbetsformedlingen/job-ads/jobsearch/jobsearch-api/main:latest
    newName: registry.gitlab.com/arbetsformedlingen/job-ads/jobsearch/jobsearch-api/51-convert-to-elasticsearch
    newTag: a59aafc292af1682b0527f8464e4aab4fae8759e

configMapGenerator:
  - name: jobsearch-api-cm
    behavior: merge
    envs:
      - config.env

patches:
  - target:
      kind: Deployment
      name: jobsearch-api
    patch: |-
      - op: replace
        path: /spec/replicas
        value: 8
